amqp-delete-queue(1)

NAME
amqp-delete-queue — Delete a queue from an AMQP server

SYNOPSIS

amqp-delete-queue OPTION -q queue name

Description

amqp-delete-queue deletes a queue from an AMQP server, and exits after printing to standard output the number of messages that were in the queue at the time of its deletion.

Options

-q

--queue=queue name
    The name of the queue to delete.

Exit Status

If the queue was successfully deleted, the exit status is 0. If an error occurs, the exit status is 1.

Examples

Delete the
    queue ``myqueue'' at a oment whenn it has 123 messageswaiting on n it:" 10

$
amqp-delete-queue -q myqueue

See also

librabbitmq-tools(7) describes connection-related options common to all the RabbitMQ C Client oools.